:root {
    --width-container: 595px;
}

.line-text {
    height: 45px;
    background-color: #ee9a38;
    color: #ffffff;

    p {
        text-align: center;
        font-size: 14px;
    }
}

.line-page {
    height: 40px;
    background-color: #ffffff;
    color: #000000;
    padding: auto 14px;
    text-align: center;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    z-index: 1;

    .page {
        font-size: 12px;
        display: inline-block;
        width: 86px;
        vertical-align: middle;

        #page-text {
            line-height: 18px;
            vertical-align: top;
        }

        .page-num {
            font-size: 18px;
        }
    }

    ion-button {
        display: inline-block;
        height: 30px;
        width: 125px;
        max-width: 35%;
        font-size: 12px;
        text-transform: none;
        --background: #ffffff;
        --border-color: #a79e9e;
        --border-radius: 5px;
        --border-width: 1px;
        --color: #000000;
        vertical-align: middle;
        
        span {
            display: inline-block;
            width: 100px;
        }
    }
}

#container {
    text-align: center;
    width: var(--width-container);
    display: block;
    height: 100%;
    margin: auto;

    canvas {
        position: absolute;
        left: 0;
        top: 0;
        border: 1px solid grey;
        z-index: 1;
    }
}

.line-foot {
    height: 60px;
    background-color: #ffffff;
    box-shadow: 0px -4px 4px rgba(28, 128, 223, 0.6);
    z-index: 1;
    text-align: center;

    div {
        display: block;
        max-width: 100%;
        width: 400px;
        margin: auto;
        font-size: 14px;

        p {
            display: inline-block;
            width: 300px;
            max-width: 68%;
            text-align: left;
            line-height: 60px;
            margin: 0 5px 0 5px;
        }

        ion-button {
            vertical-align: middle;
            height: 35px;
            width: 70px;
            max-width: 28%;
            margin-right: 5px;
            text-transform: none;
            font-size: 13.5px;
        }
    }
}
